Delete Item Publishing

Soft deletes the publishing record taking the item and version from the record offline.

CDN cache object purging

Publishing or unpublishing a content item triggers a CDN cache purge. Every entity is tagged using its ZUID, the instance ZUID, and for most cases, also tagged by the collection's ZUID it belongs to, for example is a content model which is a collection of content items. By default, the API uses the instance ZUID, which will trigger an instance scope purging. To change the scope, create a setting using the Create Setting endpoint with the following payload:

{
	"category": "general",
	"keyFriendly": "Purge CDN Scope",
	"key": "purge_cdn_scope",
	"value": "collection",
	"admin": true,
	"dataType": "dropdown",
	"options": "instance:Instance scope;collection:Collection scope;entity:Entity scope",
	"tips": "Changes the scope of purging a cache object when an entity is published or unpublished."
}

Instance scope — purges all cache objects across the entire instance that are tagged with the instance ZUID.

Collection scope — purges cache objects tagged with the ZUID of the collection. Every entity of a collection is tagged with the collection ZUID. For example every content item (e.g. 7-000-0000) is tagged with its model ZUID (e.g. 6-000-0000). Meaning when an item is published, and a cache purge is triggered, collection scope will purge all content items of that model. As they are all tagged with the content model ZUID.

Entity scope — purges only the cache object tagged with the published or unpublished item's ZUID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ZUID of the content model where the item is located

string
required

ZUID of the item to delete the publishing record from

string
required

ZUID of the item publishing record to delete

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
application/json